---
- name: launch redis
  become: yes
  docker_container:
    name: redis
    image: "{{ redis_docker_image }}"
    command: "redis-server --appendonly yes"
    labels: "{{ redis_docker_labels_complete }}"
    volumes:
      - /opt/redis/data:/data
    restart_policy: unless-stopped

- name: launch mariadb
  become: yes
  docker_container:
    name: mariadb
    image: "{{ mariadb_docker_image }}"
    volumes:
      - /opt/mariadb/database:/var/lib/mysql
    labels: "{{ mariadb_docker_labels_complete }}"
    env:
      MYSQL_ROOT_PASSWORD: "{{ matomo_db_password }}"
      MYSQL_DATABASE: "{{ matomo_db_name }}"
      MYSQL_USER: "{{ matomo_db_user }}"
      MYSQL_PASSWORD: "{{ matomo_db_password }}"
    restart_policy: unless-stopped

- name: launch matomo
  become: yes
  docker_container:
    name: matomo
    image: "{{ matomo_docker_image }}"
    pull: true
    links:
      - mariadb:mariadb
      - redis:redis
    volumes:
      - /opt/matomo/config:/var/www/html/config
      - /opt/matomo/logs:/var/www/html/logs
    labels: "{{ matomo_docker_labels_complete }}"
    ports: "{{ matomo_docker_ports }}"
    restart_policy: unless-stopped
